﻿//////////////////////////////////////////////////////////////////////////////////////////
//                                                                                      //
//  Tonsignale                                                                          //
//  _____________________________________________________                               //
//                                                                                      //
//  Copyright © 2016 Reimar Grasbon (softwork@grasbon.de)                               //
//                                                                                      //
//////////////////////////////////////////////////////////////////////////////////////////
//                                                                                      //
//  This software is subjected to the FreeBSD License. Redistribution and use in source //
//  and binary forms, with or without modification, are permitted provided that the     //
//  following conditions are met:                                                       //
//                                                                                      //
//  1. Redistributions of source code must retain the above copyright notice, this list //
//     of conditions and the following disclaimer.                                      //
//                                                                                      //
//  2. Redistributions in binary form must reproduce the above copyright notice, this   //
//     list of conditions and the following disclaimer in the documentation and/or      //
//     other materials provided with the distribution.                                  //
//                                                                                      //
//  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY //
//  EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED           //
//  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  //
//  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,    //
//  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT  //
//  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR  //
//  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,   //
//  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)  //
//  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE          //
//  POSSIBILITY OF SUCH DAMAGE.                                                         //
//                                                                                      //
//////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "Conf.h"
#include "TypeDefs.h"

//////////////////////////////////////////////////////////////////////////////////////////
//  Typen  ///////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////
typedef enum                        // Tonabfolgen:
{   SOUND_STARTUP            =  0,  // · Systemstart
    SOUND_TWISTING_DIGITS    =  1,  // · Tick-Geräusch zur Animation ANIM_TWISTING_DIGITS
    SOUND_TIME_OBTAINED      =  2,  // · Zeit erhalten
    SOUND_ENC_TICK           =  3,  // · Signal bei Drehbewegungen des Inkrementalgebers
    SOUND_OPEN_MENU          =  4,  // · Öffnen des Menüs
    SOUND_CLOSE_MENU         =  5,  // · Schliessen des Menüs
    SOUND_RADIO_ON           =  6,  // · Einschalten des Radios
    SOUND_RADIO_OFF          =  7,  // · Ausschalten des Radios
    SOUND_ALARM_ENABLE       =  8,  // · Wecker einschalten
    SOUND_ALARM_DISABLE      =  9,  // · Wecker abschalten
    SOUND_ALARM_BEGIN        = 10,  // · Weckeralarm beginnt
    SOUND_ALARM_SIGNAL       = 11,  // · Wecker-Signal
    SOUND_SNOOZE_BEGIN       = 12,  // · Schlummerbetrieb beginnt
    SOUND_ALARM_REARM        = 13,  // · Wecker reaktiviert
    SOUND_ALARM_PAUSE        = 14,  // · Wecker pause (Wecken beendet oder Schlummern)
    SOUND_SETTINGS_OPEN      = 15,  // · Öffnen der Einstellungen
    SOUND_SETTINGS_CLOSE     = 16,  // · Schliessen des Einstellungen
    SOUND_CHANGE_VALUE_BEGIN = 17,  // · Wertänderung beginnen
    SOUND_CHANGE_VALUE_END   = 18,  // · Wertänderung beenden
    SOUND_NONE                      // · Kein Geräusch
} Sound;

//////////////////////////////////////////////////////////////////////////////////////////
// Funktionen  ///////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////
void  SOUND_Start(Sound);
void  SOUND_Stop(void);

//////////////////////////////////////////////////////////////////////////////////////////

